VTK: vtkXdmf3LightDataHandler Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | List of all members
vtkXdmf3LightDataHandler Class Reference

internal helper for vtkXdmf3Reader More...

`#include <vtkXdmf3LightDataHandler.h>`

## Public Member Functions
void | InspectXDMF (shared_ptr< XdmfItem > item, vtkIdType parentVertex, unsigned int depth=0)
| recursively inspect XDMF data hierarchy to determine times that we can provide data at name of arrays to select from name and hierarchical relationship of blocks to select from More...
void | ClearGridsIfNeeded (shared_ptr< XdmfItem > domain)
| called to make sure overflown SIL doesn't give nonsensical results More...
std::set< double > | getTimes ()
| return the list of times that the xdmf file can provide data at only valid after InspectXDMF More...

## Static Public Member Functions
static shared_ptr< vtkXdmf3LightDataHandler > | New (vtkXdmf3SILBuilder *sb, vtkXdmf3ArraySelection *f, vtkXdmf3ArraySelection *ce, vtkXdmf3ArraySelection *pn, vtkXdmf3ArraySelection *gc, vtkXdmf3ArraySelection *sc, unsigned int processor, unsigned int nprocessors)
| factory constructor More...

## Detailed Description

internal helper for vtkXdmf3Reader

vtkXdmf3Reader uses this class to inspect the light data in the XDMF file(s) and determine meta-information about the vtkDataObjects it needs to produce.

This file is a helper for the vtkXdmf3Reader and not intended to be part of VTK public API

Definition at line 36 of file vtkXdmf3LightDataHandler.h.

## Member Function Documentation

## ◆ New()

static shared_ptr<vtkXdmf3LightDataHandler> vtkXdmf3LightDataHandler::New | ( | vtkXdmf3SILBuilder * | sb,
|  | vtkXdmf3ArraySelection * | f,
|  | vtkXdmf3ArraySelection * | ce,
|  | vtkXdmf3ArraySelection * | pn,
|  | vtkXdmf3ArraySelection * | gc,
|  | vtkXdmf3ArraySelection * | sc,
|  | unsigned int | processor,
|  | unsigned int | nprocessors
| ) |  |
| static

factory constructor

## ◆ InspectXDMF()

void vtkXdmf3LightDataHandler::InspectXDMF | ( | shared_ptr< XdmfItem > | item,
|  | vtkIdType | parentVertex,
|  | unsigned int | depth = `0`
| ) |  |

recursively inspect XDMF data hierarchy to determine times that we can provide data at name of arrays to select from name and hierarchical relationship of blocks to select from

## ◆ ClearGridsIfNeeded()

void vtkXdmf3LightDataHandler::ClearGridsIfNeeded | ( | shared_ptr< XdmfItem > | domain | ) |

called to make sure overflown SIL doesn't give nonsensical results

## ◆ getTimes()

std::set<double> vtkXdmf3LightDataHandler::getTimes | ( |  | ) |

return the list of times that the xdmf file can provide data at only valid after InspectXDMF

The documentation for this class was generated from the following file:

- IO/Xdmf3/vtkXdmf3LightDataHandler.h